Skip to main content
GET
/
v2
/
onchain
/
token
/
balances
Get wallet token balances
curl --request GET \
  --url https://api.neynar.com/v2/onchain/token/balances \
  --header 'x-api-key: <api-key>'
{
  "balances": [
    {
      "network": "ethereum",
      "address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
      "name": "USD Coin",
      "symbol": "USDC",
      "decimals": 6,
      "balance": "1000000000",
      "balance_usd": "1000.50",
      "price_usd": "1.00",
      "image_url": "https://example.com/token.png"
    }
  ],
  "next": {
    "cursor": "<string>"
  }
}

Authorizations

x-api-key
string
header
default:NEYNAR_API_DOCS
required

API key to authorize requests

Query Parameters

networks
string
required

Comma-separated list of networks to query. Each value must be a valid network (ethereum, optimism, base, arbitrum).

Example:

"base"

address
string
required

Ethereum address

Example:

"0x5a927ac639636e534b678e81768ca19e2c6280b7"

limit
integer<int32>
default:50

Number of results to return (max 100)

Required range: 1 <= x <= 100
Example:

50

cursor
string

Pagination cursor.

Response

Success

balances
object[]
required
next
object
required